Bug 127945 - ethereal update package broken
ethereal update package broken
Product: Fedora
Classification: Fedora
Component: ethereal (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
: Security
Depends On:
  Show dependency treegraph
Reported: 2004-07-15 11:51 EDT by Matthew Miller
Modified: 2015-03-04 20:14 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-07-16 09:16:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Matthew Miller 2004-07-15 11:51:43 EDT
When I rebuild the ethereal-0.10.5-0.2.1.src.rpm, the resulting
packages won't install, complaining about a missing dependency

A bit more investigation reveals this interesting difference:

Original FC2 package:

$ rpm -qlp ethereal-0.10.3-2.i386.rpm |grep libethereal

Update package:

$ rpm -qlp ethereal-0.10.5-0.2.1.i386.rpm |grep libethereal

Hey! What happened to the .so? This is the case with both my rebuilt
and the distributed update binary.

But there's more -- 

Original FC2 package:

$ rpm -qlp ethereal-0.10.3-2.i386.rpm |grep ethereal/plugins

Update package:

$ rpm -qlp ethereal-0.10.5-0.2.1.i386.rpm | grep ethereal/plugins

My rebuilt version of the update package:

$ rpm -qlp ethereal-0.10.5-0.2.1bu40.1.i386.rpm | grep ethereal/plugins

And, it turns out that these plugins are the ones that are linked
against the missing libethereal.so.0 -- the update binary only works
because it's missing all of its plugins.
Comment 1 Matthew Miller 2004-07-15 12:06:08 EDT
This also appears to be the case in the FC3 test package.
Comment 2 Phil Knirsch 2004-07-15 12:06:55 EDT
Jup, checking...

Read ya, Phil
Comment 3 Matthew Miller 2004-07-15 14:07:03 EDT
Adding 'libtoolize --force' to before aclocal, automake, etc., in the
%prep section of the spec file seems to fix the problem. I don't know
if this is the right thing to do, though.
Comment 4 Phil Knirsch 2004-07-16 09:16:14 EDT
Jup, just checked, that works. I'll include that fix and will make new
rpms for FC1 and FC2, too.

And in think it's the right fix, we oftentimes had to use libtoolize
in the past (so a know source of problems).

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.